Subject: Re: linux-next: scsi tree build failure

From: James Bottomley <[email-masked]>
Date: Mon, 15 Dec 2008 08:52:42 -0600

On Tue, 2008-12-16 at 01:37 +1100, Stephen Rothwell wrote:
> Hi James,
> 
> Today's linux-next build (powerpc allyesconfig) failed like this:

Heh, I really need to get this terrasoft system integrated into my
builds

> drivers/scsi/libfc/fc_fcp.c: In function 'fc_eh_host_reset':
> drivers/scsi/libfc/fc_fcp.c:1987: error: implicit declaration of function 'msleep'
> 
> That file needs to include <linux/delay.h>.

Thanks, that's exactly the problem.

Robert, please reroll the patches with this fix in ... I'll just
exchange the new patches for the ones in my tree.

> Introduced by commit 389571f347629d879f9044582bbbafb43e4fe00b ("[SCSI]
> libfc: A modular Fibre Channel library") from the scsi tree.  I reverted
> that commit and commit 7aba33c5cfc7a9c104cc7469558c7849f373c3da ("[SCSI]
> fcoe: Fibre Channel over Ethernet") which depended on it.

James